Skip to content. Skip to main navigation.


BBVA Compass

Internet Explorer Security Alert

You may have heard about the Internet Explorer security vulnerability, which was reported by the U.S. Department of Homeland Security.

The issue can allow a remote attacker to execute code on vulnerable systems. Internet Explorer versions 6 through 11 are affected.

You can protect your computer by ensuring anti-virus and anti-malware software are current; exercising caution when clicking on links or opening attachments from unsolicited emails or instant messages; and installing Microsoft’s security patch as soon as it’s available. As an interim solution, alternative browser usage is recommended.

For more information click here.

Contact Us

In Person Find a Branch